# Uses of Interface
org.eclipse.jdt.core.IAccessRule

Packages that use IAccessRule
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.launching
Application programming interfaces for interaction with the Eclipse Java launching support.
org.eclipse.jdt.launching.environments
Application programming interfaces and classes for execution environments.

## Uses of IAccessRule in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IAccessRule
Modifier and Type
Method
Description
`IAccessRule[]`
IClasspathEntry.`getAccessRules()`
Returns the possibly empty list of access rules for this entry.
`static IAccessRule`
JavaCore.`newAccessRule(org.eclipse.core.runtime.IPath filePattern, int kind)`
Creates and returns a new access rule with the given file pattern and kind.
Methods in org.eclipse.jdt.core with parameters of type IAccessRule
Modifier and Type
Method
Description
`static IClasspathEntry`
JavaCore.`newContainerEntry(org.eclipse.core.runtime.IPath containerPath, IAccessRule[] accessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Creates and returns a new classpath entry of kind `CPE_CONTAINER` for the given path.
`static IClasspathEntry`
JavaCore.`newLibraryEntry(org.eclipse.core.runtime.IPath path, org.eclipse.core.runtime.IPath sourceAttachmentPath, org.eclipse.core.runtime.IPath sourceAttachmentRootPath, IAccessRule[] accessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Creates and returns a new classpath entry of kind `CPE_LIBRARY` for the JAR or folder identified by the given absolute path.
`static IClasspathEntry`
JavaCore.`newProjectEntry(org.eclipse.core.runtime.IPath path, IAccessRule[] accessRules, boolean combineAccessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Creates and returns a new classpath entry of kind `CPE_PROJECT` for the project identified by the given absolute path.
`static IClasspathEntry`
JavaCore.`newVariableEntry(org.eclipse.core.runtime.IPath variablePath, org.eclipse.core.runtime.IPath variableSourceAttachmentPath, org.eclipse.core.runtime.IPath variableSourceAttachmentRootPath, IAccessRule[] accessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Creates and returns a new classpath entry of kind `CPE_VARIABLE` for the given path.

## Uses of IAccessRule in org.eclipse.jdt.launching

Methods in org.eclipse.jdt.launching with parameters of type IAccessRule
Modifier and Type
Method
Description
`static IRuntimeClasspathEntry`
JavaRuntime.`newArchiveRuntimeClasspathEntry(org.eclipse.core.runtime.IPath path, org.eclipse.core.runtime.IPath sourceAttachmentPath, org.eclipse.core.runtime.IPath sourceAttachmentRootPath, IAccessRule[] accessRules, IClasspathAttribute[] extraAttributes, boolean isExported)`
Returns a new runtime classpath entry for the given archive (possibly external).

## Uses of IAccessRule in org.eclipse.jdt.launching.environments

Methods in org.eclipse.jdt.launching.environments that return IAccessRule
Modifier and Type
Method
Description
`IAccessRule[][]`
IAccessRuleParticipant.`getAccessRules(IExecutionEnvironment environment, IVMInstall vm, LibraryLocation[] libraries, IJavaProject project)`
Returns a collection of access rules to be applied to the specified VM libraries and execution environment in the context of the given project.
`IAccessRule[][]`
IExecutionEnvironment.`getAccessRules(IVMInstall vm, LibraryLocation[] libraries, IJavaProject project)`
Returns a collection of access rules to be applied to the specified VM libraries for this execution environment in the context of the given project.